﻿# You can place the script of your game in this file.

init: 
  
     
# Declare images below this line, using the image statement.
    # eg. image eileen happy = "eileen_happy.png"

    # Declare characters used by this game.
    $ n = Character('Narrator', color="#c8ffc8")
    $ l = Character('Wolf', color="#ddaacc",
                        window_left_padding=160,
                        show_side_image=Image("tete_loup2b.png.jpg", xalign=0.0, yalign=1.0))
    $ vf0 = Character('Old Woman', color="#ccffcc")
    $ leopard = Character('Leopard', color="#ddaacc",
                        window_left_padding=160,
                        show_side_image=Image("tete_leopard2c.png.jpg", xalign=0.0, yalign=1.0))
    $ lion = Character('Lion', color="#ddaacc",
                        window_left_padding=160,
                        show_side_image=Image("tete_lion.png.jpg", xalign=0.0, yalign=1.0))
    $ nbottom = Character("") 
    $ ntop = Character("", color="#c8ffc8", window_yalign=0.0) 
    $ vf = Character('Old Woman',
                        color="#ccffcc",
                        window_left_padding=160,
                        show_side_image=Image("tete_vieille_femme2.png.jpg", xalign=0.0, yalign=1.0))   
                        
    $ citrouille = Character('Pumpkin',
                        color="#ccffcc",
                        window_left_padding=160,
                        show_side_image=Image("tete_citrouille.png.jpg", xalign=0.0, yalign=1.0))   
                        
    $ fille = Character('daughter',
                        color="#ccffcc",
                        window_left_padding=160,
                        show_side_image=Image("tete_fille.png.jpg", xalign=0.0, yalign=1.0)) 
                        
    
    image maison0 = "0_khaneh2b.png.jpg"
    image loup1="1_pirzan_gorg.png.jpg"
    image loup2="1_pirzan_gorg2.png.jpg"
    image pirzan="pirzan.png"
    image pirzan2="pirzan2.png"
    image palang3="3_palang2.png.jpg"
    image lion4="4_pirzan_shir.png.jpg"
    image maison5="5_maison.png.jpg"
    image fille_citrouille6="6_dokhtar_kadu.png.jpg"
    image kadu_tappeh7="7_kadu_tappeh2.png.jpg"
    image kadu_tappeh7b="7_kadu_tappeh2b.png.jpg"
    image palang_kadu8="8_palang_kadu.png.jpg"
    image gorg_khaneh9="9_gorg_khaneh.png.jpg"
    image loup_dans_citrouille="loup_dans_citrouille.png.jpg"
    image loup_et_citrouille="loup_et_citrouille2.png.jpg"
    image citrouille2="citrouille2.png"
    image citrouille2b="citrouille2.png"
    image citrouille_tourne=im.Rotozoom("citrouille2.png", 360, 1.0)
    image gorg_palang_shir="gorg_palang_shir.png.jpg"
    

        
        
# The game starts here.
label start:

    #jump lion2
    
    play sound "marzieh1.ogg" fadeout 1.0
    #renpy.music.play("marzieh1.ogg", channel=1, loop=False, fadeout=None, synchro_start=False, fadein=0, tight=False, if_changed=False)
    
    show maison0
    with dissolve
    
    "Once upon a time there was an old woman who had three daughters. All of the three had married and left her house. So she lived alone."

    "One day she was so bored of loneliness that she told herself: " 
    
    vf "Since my youngest daughter has married my house has gotten so dim and silent. I better go and pay her a visit."

    show pirzan at left
    with move

    "She stood up, wore her robes and took her walking stick, and stepped out to go to the house of her youngest daughter who lived outside of the town on a hilltop."

    show pirzan at center
    with move
    
    hide pirzan

    play sound "ahngi_rakoutchk.ogg" fadeout 1.0

    #renpy.music.play("ahngi_rakoutchk.ogg", channel=1, loop=False, fadeout=None, synchro_start=False, fadein=0, tight=False, if_changed=False)
    
    show loup1
    with dissolve

    "As soon as she stepped outside of the town, a hungry wolf appeared in front of her. Seeing the wolf, she got anxious and greeted him loudly."
    
    l "Where are you going, old woman?"
    
    menu:

        "Answer : I'm going to my daughter's home":
        
            jump je_vais_chez_ma_fille
            
        "Try to escape":
        
            jump mange
        
           
    
label je_vais_chez_ma_fille:
    
    vf "I'm going to my daughter's home, to eat rice, chicken and fesenjân,... to get fat."
    

    l "Don't bother, I'm going to eat you now."

label loup1:

    menu:

        "Answer:... I'll call my daughter's husband, and he will hunt you without mercy!":
        
            jump chasse1
            
        "Answer:... I'm not fat enough for you.":
        
            jump pas_assez_grosse1
            
        "Try to escape.":
        
            jump mange
            
            
    
label pas_assez_grosse1:

    vf "I'm but a morsel of skin and bones, I won't satisfy you. Let me go to my daughter's home, to eat and sleep for a few days and get fat. Then I'll return for you to eat me"
    
    l "Ok. But remember, I won't move from here until you return."
    
    vf "Don't worry, I'll come back soon."
    
    show loup2 
    with dissolve
    
    show pirzan at center
    with move

    
    show pirzan at right
    with move


    hide pirzan
    
    show pirzan2 at right
    with move

    "And so she went."
    
    show palang3
    with dissolve
    
    "After a few steps a hungry leopard jumped in front of her."
    
    show pirzan at center
    
    leopard "Where are you going, old woman?"
    
    "The old woman, so afraid, bowed and said:"
    
    vf "I'm going to my daughter's home, to eat rice, chicken and fesenjân,... to get fat."
    
    leopard "Don't bother, because I'm so hungry that I have to eat you right now."

    vf "But how could such a morsel of an old woman satisfy you? Let me go to my daughter's home, to eat and sleep for a few days and get fat. Then I'll return for you to eat me."

    leopard "That's not a bad idea. I'll be patient. I'll be around here when you return."

    show lion4
    with dissolve
    
    "And again, the old woman continued her way. But just before reaching her daughter's home, a roaring lion blocked her way. The old woman was stunned in fear and greeted him with a trembling voice."

    lion "Where are you going old woman?"
    
    vf "I'm going to my daughter's home, to eat rice, chicken and fesenjân,... to get fat."
    
    lion "No, I won't let you do that. I'm so hungry that my stomach grumbles. I must eat you right now."
    
    vf "Oh but lion, you're the king of the forest. Bull's heart and liver and zebra's thigh won't satisfy you. Neither will an old woman who's barely a morsel of skin and bones."


    vf " Wait so I can go to my daughter's home to eat and sleep for a few days. Then I'll return for you to eat me."
    
    lion "Alright. Go, but don't waste too much time because I'm really hungry."
    
    vf "I won't make you wait for long."
    
    play sound "wedding.ogg" fadeout 1.0
    show maison5
    with dissolve
    
    "And she went until she reached her daughter's home."
    
    "Her daughter and her son-in-law were very happy to see her. For dinner they seated her at the head of the table, and put tasty food and drinks and fruits in front of her. And then they prepared a soft and cozy bed for her to sleep in."
    
    "The old woman stayed there for four or five days. Before leaving, she told her daughter:"
    
    menu:

        "Say :... Tell your husband to take his gun and go hunting the wild animals who wanted to devour me!":
        
            jump chasse2
            
        "Say :... I need a pumpkin.":
        
            jump Donne_citrouille
            
label Donne_citrouille:

    vf "Bring me a big pumpkin."
    
    "Her daughter went to the garden and brought a big pumpkin."
    
    vf "Cut a lid from its top and empty its interior."
    
    fille "Why do you want me to do that?"
    
    "Old woman told her her story from beginning to the end, and added:"
    
    vf "When I'm prepared to go, I enter this pumpkin. You'll need to push it and let it roll down the hill."
    
    show fille_citrouille6
    with dissolve 
    
    "Her daughter did as she said and emptied the pumpkin. When her mother went inside, she put on the lid. Then she gave the pumpkin a strong push and sent it rolling down the hill."

label lion2:
    show  kadu_tappeh7
    with dissolve 
    
    $ renpy.pause(1.1)
    show  kadu_tappeh7b

    
    # ok -> show citrouille2 at RotoZoom(-40, -340, 5, 0, 0.23, 0.23, rot_repeat=False, rot_anim_timebase=False, opaque=False, xalign=0.1, yalign=1.0), Move((0.73, 0.39), (0.3, 0.6), 5.0, xanchor="center", yanchor="center")
    
    show citrouille2 at RotoZoom(-40, -740, 5, 0.23, 0.23, 0.23, rot_repeat=False, rot_anim_timebase=False, opaque=False, xalign=0.1, yalign=1.0), Move((0.73, 0.39), (0.3, 0.6), 5.0, xanchor="center", yanchor="center")
    
    #hide citrouille2
    
    "The rolling pumpkin rolled on until it reached the lion."

    "The lion jumped in front of it:"
    lion "Rolling pumpkin! Haven't you seen an old woman?"
    
    citrouille "No I haven't. I really didn't. Roll me and let me go." 
    
    lion "Ok."

    "And he rolled the pumpkin."
    
    show palang_kadu8
    with dissolve 
    
    #show citrouille2 at RotoZoom(0, 360, 5, 0, 1, 1, rot_repeat=True, rot_anim_timebase=True, opaque=False, xalign=0.5, yalign=0.5)
    
    #show citrouille_tourne at left 
    #with move
    
    #show citrouille_tourne at left
    
    show citrouille_tourne at RotoZoom(0, 380, 5, 0, 1, 1, rot_repeat=True, rot_anim_timebase=True, opaque=False, xalign=0.1, yalign=1.0), Move((0.0, 0.7), (1.2, 0.7), 4.0, xanchor="center", yanchor="center")
    
    #hide citrouille_tourne
    
    #$ renpy.pause(1.1)
    
    #show citrouille_tourne at right
    #with move
    
    "It rolled on until it reached the leopard."

    "The leopard saw the pumpkin coming, and approached it:"
    leopard "Rolling pumpkin! Haven't you seen an old woman?"
    
    citrouille "No I haven't. I really didn't. Roll me and let me go."
    leopard "Ok."
    
    "And he rolled the pumpkin."

    show loup_et_citrouille
    with dissolve 
    
    show citrouille2b at RotoZoom(0, 380, 5, 0, 1, 1, rot_repeat=True, rot_anim_timebase=True, opaque=False, xalign=0.1, yalign=1.0), Move((0.0, 0.7), (1.2, 0.7), 4.0, xanchor="center", yanchor="center")
    
    hide citrouille2
    
    "The pumpkin rolled on again, until it reached the wolf."


    
    "The wolf saw the pumpkin coming and ran to it:"
    
    l "Rolling pumpkin! Haven't you seen an old woman?"
    
    citrouille "No I haven't. I really didn't. Roll me and let me go."
    
    "The wolf, recognizing the old woman's voice, said:"
    
    l "Are you cheating me? You're the same old woman whom I wanted to eat. You've just entered a pumpkin."

    show gorg_khaneh9
    with dissolve
    
    "The wolf began to scratch a hole through the pumpkin with its claws. As soon as he managed to get in, the old woman lifted the pumpkin's lid from its top and fled."

    "She ran to her home and securely closed the door behind her."
    
    
    play sound "mikhaam_beram_kouh.ogg" fadeout 1.0

    show loup_dans_citrouille
    with dissolve
    
    #show citrouille2 at Position(xpos=250, ypos=300, xanchor=0.5, yanchor=0.5), Revolve(0, 360, 4, repeat=True) before loup_dans_citrouille
    with dissolve
    
    show expression Text("Won.", size=50, yalign=0.5, xalign=0.5, drop_shadow=(2, 2)) as text
    with dissolve
    
    jump fin
    
label mange:
    
    show loup2
    with dissolve 
    
    "Unfortunately the animal is faster than the old woman and eats her without delay."
    
    with hpunch
    
    show expression Text("Lost.", size=50, yalign=0.5, xalign=0.5, drop_shadow=(2, 2)) as text
    with dissolve
    
    "Sorry."
    
    jump fin

label chasse1:
    
    l "Yes, but where is he now? I can't see anyone here to help you."
    

    jump loup1
    
label chasse2:
    
    fille "Ok, I'll call him."
    
    show gorg_palang_shir
    with dissolve
    
    "The three people went on the road together, but the three wild animals leagued themselves and ambushed the poor humans."
    with hpunch
         
    show expression Text("Lost.", size=50, yalign=0.5, xalign=0.5, drop_shadow=(2, 2)) as text
    with dissolve
    
    "Sorry."
    
    jump fin
    
label fin:
    

    "The End!"
    "Copyright (c) Maryam Gousheh Forgeot"
    "http://www.spritewood.net"
    
